{
  "name": "chat-one-web",
  "version": "1.0.0",
  "description": "ChatOne web端",
  "type": "module",
  "repository": "ssh://git@git.alboped.com:8022/alboped/chat-one-web.git",
  "author": "alboped <shi_zhaojun@aliyun.com>",
  "license": "UNLICENSED",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "preview": "vite preview",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "format": "prettier --write .",
    "format:check": "prettier --check .",
    "prepare": "husky"
  },
  "lint-staged": {
    "*.{ts,tsx}": [
      "eslint --fix --max-warnings=0",
      "prettier --write"
    ],
    "*.{css,json,md,html,yml,yaml,js,mjs,cjs}": "prettier --write"
  },
  "dependencies": {
    "@fontsource-variable/geist": "^5.2.8",
    "@microsoft/fetch-event-source": "^2.0.1",
    "antd": "^6.3.5",
    "axios": "^1.15.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "highlight.js": "^11.11.1",
    "katex": "^0.16.45",
    "lucide-react": "^1.14.0",
    "next-themes": "^0.4.6",
    "radix-ui": "^1.4.3",
    "react": "^19.2.4",
    "react-dom": "^19.2.4",
    "react-markdown": "^10.1.0",
    "react-router-dom": "^7.13.2",
    "rehype-highlight": "^7.0.2",
    "rehype-katex": "^7.0.1",
    "remark-gfm": "^4.0.1",
    "remark-math": "^6.0.0",
    "shadcn": "^4.7.0",
    "sonner": "^2.0.7",
    "tailwind-merge": "^3.6.0",
    "tw-animate-css": "^1.4.0"
  },
  "devDependencies": {
    "@eslint/js": "^10.0.1",
    "@tailwindcss/vite": "^4.2.2",
    "@types/node": "^25.5.0",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^6.0.1",
    "eslint": "^9.17.0",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^7.0.1",
    "eslint-plugin-react-refresh": "^0.5.2",
    "husky": "^9.1.7",
    "lint-staged": "^16.4.0",
    "prettier": "^3.8.1",
    "tailwindcss": "^4.2.2",
    "typescript": "^6.0.2",
    "typescript-eslint": "^8.58.0",
    "vite": "^8.0.3",
    "vite-plugin-pages": "^0.33.3"
  },
  "packageManager": "yarn@4.14.1"
}
